.alert {
    padding: 15px 20px;
    margin-bottom: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #ffffff;
    position: relative;
}


.alert-icon {
    margin-right: 10px;
    font-size: 18px;
}


.alert-message {
    flex: 1;
}


.alert-close {
    cursor: pointer;
    font-size: 20px;
    padding-left: 20px;
    color: #ffffff;
}


.alert-success {
    background: url('./asfalt-light.png'), linear-gradient(135deg, #4CAF50, #388E3C);

}


.alert-error {
    background: url('./asfalt-dark.png'), linear-gradient(135deg, #E53935, #B71C1C);

}


.alert-warning {
    background: url('./diamond-upholstery.png'), linear-gradient(135deg, #FB8C00, #F57C00);

}


.alert-info {
    background: url('./diamond-upholstery.png'), linear-gradient(135deg, #039BE5, #0288D1);

}


@media (max-width: 768px) {
    .alert {
        flex-direction: column;
        align-items: flex-start;
    }

    .alert-close {
        align-self: flex-end;
        padding-left: 0;
        margin-top: 10px;
    }
}